# Uses of Class
org.eclipse.birt.report.model.api.elements.structures.DimensionCondition

Packages that use DimensionCondition
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")
org.eclipse.birt.report.model.api.olap

## Uses of DimensionCondition in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api that return DimensionCondition
Modifier and Type
Method
Description
`static DimensionCondition`
StructureFactory.`createCubeJoinCondition()`
Creates an empty cube join condition structure.

## Uses of DimensionCondition in org.eclipse.birt.report.model.api.olap

Methods in org.eclipse.birt.report.model.api.olap with parameters of type DimensionCondition
Modifier and Type
Method
Description
`DimensionConditionHandle`
TabularCubeHandle.`addDimensionCondition(DimensionCondition condition)`
Adds a dimension condition to this cube.
`DimensionConditionHandle`
TabularCubeHandle.`addDimensionCondition(DimensionCondition condition, int posn)`
Adds a dimension condition to the specified position.
`void`
TabularCubeHandle.`removeDimensionCondition(DimensionCondition condition)`
Removes a dimension condition from this cube.